npm<template>
  <v-col cols="12">
    <v-card>
      <v-card-title>
        Patreon supporters
      </v-card-title>
      <v-card-subtitle align="left">
        <a href="https://www.patreon.com/join/another_sgart" target="blank">Become a Patreon</a> to get listed here
      </v-card-subtitle>
      <v-card-text>
        <v-row>
          <v-col cols="12">
            <v-alert type="info"
                     id="charity--banner"
                     icon="mdi-hand-coin-outline">
              Until further notice, all earnings through Patreon will be donated to the
              <span id="charity--link" onclick="window.open('https://www.glueckskette.ch', 'blank').focus();">
                Glückskette
              </span>
               to help Ukraine!
              Total amount donated so far: ~{{donatedAmount}}€
            </v-alert>
          </v-col>
          <v-col md="3" cols="12" v-for="tier in tiers" :key="tier.name">
            <v-card elevation="2">
              <v-card-title>
                <b :style="'color:' + tier.color_hex">{{tier.name}}</b>
              </v-card-title>
              <v-card-text>
                <v-list>
                  <v-list-item v-for="member in tier.members" :key="member.name" two-line>
                    <v-list-item-avatar rounded>
                      <v-img :src="member.avatar_url"/>
                    </v-list-item-avatar>
                    <v-list-item-content>
                      <v-list-item-title>
                        {{member.name}}
                      </v-list-item-title>
                      <v-list-item-subtitle>
                        {{moment(new Date(member.subscribedSince)).format("MMMM YYYY")}} - {{member.amount}}€
                      </v-list-item-subtitle>
                    </v-list-item-content>
                  </v-list-item>
                </v-list>
              </v-card-text>
            </v-card>
          </v-col>
        </v-row>
      </v-card-text>
    </v-card>
  </v-col>
</template>

<style>
 span#charity--link {
   text-decoration: underline;
   cursor: pointer;
 }
 #charity--banner {
   background-image: linear-gradient(to bottom, #0057B8 , #FFD700);
 }
</style>

<script>
import moment from "moment";

const today = () => {
  let todayString = moment(new Date()).format("YYYY-MM-DD");
  console.debug("Today: " + todayString);
  return todayString;
}

export default {
  name: "Patreons",
  data: () => ({
    moment,
    donatedAmount: 130,
    tiers: [
      {
        name: "Legendary",
        color_hex: "#ff8000",
        members: [
          {
            name: "You?",
            subscribedSince: today(),
            avatar_url: "https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Ftse4.mm.bing.net%2Fth%3Fid%3DOIP.sjTM8nX0F2tzht9u_n5-oQHaE8%26pid%3DApi&f=1",
            amount: 10
          }
        ]
      },
      {
        name: "Epic",
        color_hex: "#9124ff",
        members: [
          {
            name: "You?",
            subscribedSince: today(),
            avatar_url: "https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Ftse4.mm.bing.net%2Fth%3Fid%3DOIP.Ix6XjMbuCvoq3EQNgJoyEQHaFj%26pid%3DApi&f=1",
            amount: 5
          }
        ]
      },
      {
        name: "Rare",
        color_hex: "#0080ff",
        members: [
          {
            name: "You?",
            subscribedSince: today(),
            avatar_url: "https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Ftse3.mm.bing.net%2Fth%3Fid%3DOIP.nFUetkBOK0vuztOmwzsvfQHaFj%26pid%3DApi&f=1",
            amount: 3
          }
        ]
      },
      {
        name: "One Time Supporters",
        color_hex: "#009a00",
        members: [
          {
            name: "You?",
            subscribedSince: today(),
            avatar_url: "https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Ftse1.mm.bing.net%2Fth%3Fid%3DOIP.5JOmFuIk6NBgsbjVQYFNOQHaE8%26pid%3DApi&f=1",
            amount: "Custom amount"
          }
        ]
      }
    ]
  })
}
</script>